Problem/Issue 6609
Query for PDR ID
Example: search for PDR ID 109-9999 , just enter 9999 into the entry field and press ENTER.
Is this Issue important for you?
By pressing the button "Increase Priority" you have the oportunity to give this issue a higher priority. A higher priority indicates for us that this issue needs to be handled in precedence of other issues for the next releases.
Open Build: Open Date: Language:
2.00.554 02/10/2015 (All)
Closed Build: Close Date: Platform:
    ALL
State: Reference PDR ID: Hotfix Rollup No.:
OPEN    
Symptom:
FRAX Report system fails to work with 2.0
Description:
The vendor of FRAX went out of business. For this reason, no adaption
has occured to ensure proper operation of the reporting tool with
Xbase++ 2.0.

Consequently, Alaska Software has decided on a migration plan for
existing FRAX users aiming at the following goals:

a.) Ensuring that current FRAX 1.9 SL1 systems work with Xbase++ 2.0
b.) Exploring ways of providing a migration path from FRAX Reports to
    whatever reporting system is supported in future Xbase++ versions.










Solution:
====================================
ENGLISH (Deutsch folgt weiter unten)
====================================

Xbase++ 2.00.475 and higher has a backwards-compatibility setting to
enforce C-API 1.x behavior. When using this setting it is no longer
possible to use 3rd party add-ons designed for 2.0.

To enable this setting add an .arc file to your project which has the
following content:

#define CDF_CAPI_BEHAVIOUR_ID  "CAPI_Behaviour"

VERSION
  CDF_CAPI_BEHAVIOUR_ID   = "1"

Rebuild your Project. Your application should now behave the same
as it did with 1.9 in the context of the FRAX reporting tool and
your reports.


====================================
DEUTSCH
====================================

Xbase++ 2.00.475 und nachfolgende Versionen besitzen einen
Kompatibilitaetsschalter, ueber den ein zu 1.x rueckwaertskompatibles
Verhalten der C-API erzwungen werden kann. Bei Verwendung des
Kompatibilitaetsmodus koennen Add-Ons von Drittherstellern, welche
speziell fuer die Version 2.0 entwickelt wurden, nicht laenger
verwendet werden!

Zum Einschalten des Kompatibilitaetsmodus muss eine .arc-Datei mit dem
folgenden Inhalt zum Projekt hinzugefuegt werden:

#define CDF_CAPI_BEHAVIOUR_ID     "CAPI_Behaviour"

VERSION
  CDF_CAPI_BEHAVIOUR_ID   = "1"

Uebersetzen Sie anschliessend Ihr Projekt neu. Ihre Anwendung sollte sich
dann in Bezug auf Ihre Reports und das FRAX Reporting-Tool
genauso verhalten wie unter Xbase++ 1.9.








 
(C) Copyright Alaska Software, All rights reserved!
Disclaimer, Limitation of Liability, no Warranty: THE INFORMATION, DOCUMENTS, FILES AND MATERIALS CONTAINED IN THIS SITE ARE PROVIDED "AS IS". ALASKA SOFTWARE DOES NOT WARRANT THE ACCURACY, ADEQUACY OR COMPLETENESS OF THIS INFORMATION AND MATERIALS; THUS EXPRESSLY DISCLAIMS LIABILITY FOR ERRORS OR OMISSIONS IN THIS INFORMATION AND MATERIALS.
WARRANTIES OF ANY KIND, IMPLIED, EXPRESSED OR STATUTORY, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF NON-INFRINGEMENT OF THIRD PARTY RIGHTS, TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR RESOLVEMENT-CLAIMS, ARE DISCLAIMED.